Get an endpoint
curl --request GET \
--url https://app.papelship.com/api/v1/webhooks/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-store-hash': '<api-key>'}
};
fetch('https://app.papelship.com/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/webhooks/{id}"
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/webhooks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"webhook": {
"id": "we_8Kd2LmQ9",
"object": "webhook_endpoint",
"url": "https://example.com/webhooks/papelship",
"description": "<string>",
"events": [
"order.completed",
"order.refunded"
],
"enabled": true,
"disabled_reason": "<string>",
"failure_streak": 123,
"secret_hint": "whsec_…a1b2",
"last_success_at": "2026-10-04T12:00:00.000Z",
"last_failure_at": "2026-10-04T12:00:00.000Z",
"created_at": "2026-10-04T12:00:00.000Z",
"updated_at": "2026-10-04T12:00:00.000Z",
"stats_7d": {
"total": 123,
"succeeded": 123,
"failed": 123
}
}
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Webhooks
Get an endpoint
Permission: webhooks:read
GET
/
webhooks
/
{id}
Get an endpoint
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Path Parameters
Endpoint ID.
Example:
"we_8Kd2LmQ9"